#include "BibliothekFunktionen.h"
#include <stdio.h>

void personPrint(Person* this){
  printf("Person(%s,%s,%s,%s,%i)"
        ,this->name
        ,this->vorname
        ,this->strasse
        ,this->ort
        ,this->plz);
}
void buchPrint(Buch* this){
  printf("Buch(%s,%s)",this->titel,this->autor);
}
void datumPrint(Datum* this){
  printf("%i.%i.%i",this->tag,this->monat,this->jahr);
}
void ausleihePrint(Ausleihe* this){
  printf("Ausleihe(");
  personPrint(this->ausleiher);
  printf(",");
  buchPrint(this->ausgeliehenesBuch);
  printf(",");
  datumPrint(this->rueckgabe);
  printf(")");
}

void datumUmEinenMonatErhoehen(Datum* this){
  if (this->monat==12) 
    this->jahr = this->jahr+1;

  this->monat=(this->monat%12)+1;

  if (this->tag>28 && this->monat==2)this->tag=28;

  if (this->tag==31)
    switch (this->monat){
      case 4:
      case 6:
      case 9:
      case 11: this->tag=30;
    }
}

void ausleiheVerlaengere(Ausleihe* this){
  datumUmEinenMonatErhoehen(this->rueckgabe);
}

bool ausleiheUeberfaellig(Ausleihe* this,Datum* heute){
  Datum* d=this->rueckgabe;
  return 
      heute->jahr>d->jahr
   || (heute->jahr==d->jahr && heute->monat>d->monat)
   || (heute->jahr==d->jahr && heute->monat==d->monat 
                            && heute->tag>d->tag);
}


