#include <string>

class Person {
 public:
  std::string name;
  std::string vorname;
  std::string strasse;
  std::string ort;
  unsigned int plz; 

  Person
    (std::string name,std::string vorname
    ,std::string strasse,std::string ort,unsigned int plz);

  virtual void print();
};

class Buch{
 public:
  std::string titel;
  std::string autor;

  Buch(std::string titel,std::string autor);
  virtual void print();
};

class Datum{
 public:
  short tag;
  short monat;
  unsigned int jahr;

  Datum(short tag,short monat,unsigned int jahr);
  virtual void print();
  virtual void umEinenMonatErhoehen();
};

class Ausleihe {
 public:
  Person* ausleiher;
  Buch* ausgeliehenesBuch;
  Datum* rueckgabe;

  Ausleihe
     (Person* ausleiher,Buch* ausgeliehenesBuch,Datum* rueckgabe);
  void print();
  void verlaengere();
  bool ueberfaellig(Datum* heute);
};

