#ifndef PAIR_H
#define PAIR_H

#include <string>
#include <sstream>
#include "Box.hpp"
#include "ToString.hpp"

template <class fstType,class sndType>
class Pair: public Box<fstType>,public ToString{
  public:
    sndType snd;
    Pair(fstType c,sndType snd):Box<fstType>(c),snd(snd) {}

    std::string toString(){
      std::stringstream s;
      s<<"("<<contents<<","<<snd<<")"; 
      return s.str();
    }
};

#endif

