#include <string>
#include "StringLi.hpp"

StringLi::StringLi(std::string h,StringLi* t):empty(false){
  this->hd=h;
  this->tl=t;
}

StringLi::StringLi():empty(true){}

StringLi::~StringLi(){
  if (!isEmpty()) delete tl;
}

bool StringLi::isEmpty(){return empty;}
std::string StringLi::head(){return hd;}    
StringLi* StringLi::tail(){return tl;}
 
StringLi* StringLi::clone(){
  if (isEmpty()) return new StringLi();
  return new StringLi(head(),tail()->clone());
}

StringLi* StringLi::operator+(StringLi* other){
  if (isEmpty()) return other->clone();
  return new StringLi(head(),(*tail())+other);
}

std::string StringLi::toString(){
  if (isEmpty()) return "()";
  std::string result="["+head();
  for (StringLi* it=this->tail()
      ; !it->isEmpty();it=it->tail()){
    result=result+","+it->head();
  }
  return result+"]";
}

