#include "AnimatedPane.hpp"
#include <QPaintEvent>
#include <QPainter>

AnimatedPane::AnimatedPane(MovingImage* mi):mi(mi){};

void AnimatedPane::paintEvent(QPaintEvent *){
  QPainter painter(this);
  mi->paintMe(painter);
}

void AnimatedPane::tick(){
  mi->move();
  this->repaint();
}

