#include "AnimatedPane.hpp"
#include <QApplication>
#include <QPushButton>

int main(int argc,char **argv){
  QApplication application(argc,argv);
  QPushButton b("Move");
  b.show();

  QString fileName =argc<1?"testbild.png":argv[1];

  AnimatedPane* p 
   =new AnimatedPane(new MovingImage(fileName,0,0,2,1)); 
  p->show();

  QObject::connect(&b,SIGNAL(clicked()),p,SLOT(tick()));	
  return application.exec();
} 

