#ifndef BOARD_H_
#define BOARD_H_

#include <QWidget>
#include <QTimer>
#include <vector>
#include "GeometricObject.hpp"

class Board:public QWidget {
Q_OBJECT
 public:
  QTimer timer;
  Board(std::vector<GeometricObject*>& geos);
  std::vector<GeometricObject*>& geos;
  QSize minimumSizeHint();
  QSize sizeHint() ;
  void paintEvent(QPaintEvent *event);

  static int showPaintable
   (std::vector<GeometricObject*>& geos,int argc,char **argv);

public slots:
  virtual void tick();
};
#endif /*BOARD_H_*/

