#include "Board.hpp"
#include <QtGui>

Board::Board(Paintable* pt): QWidget(0){
  this->pt=pt;
  setBackgroundRole(QPalette::Base);
}

QSize Board::minimumSizeHint(){return QSize(100, 100);}
QSize Board::sizeHint(){return QSize(400, 300);}

void Board::paintEvent(QPaintEvent *){
  QPen pen;
  QPainter painter(this);
  painter.setPen(pen);
  pt->paintMe(&painter);
}

int Board::showPaintable(Paintable* pt,int argc,char **argv){
  QApplication application(argc,argv);
  Board* b = new Board(pt); 
  b->show();
  return application.exec();
}

