#include "Complex.hpp"
#include <sstream>

Complex::Complex(float re,float im){
  this->re=re;this->im=im;
}

Complex Complex::operator+(const Complex& other)const{
  return Complex(re+other.re,im+other.im);
}

Complex Complex::operator*(const Complex& other)const{
  return 
   Complex(re*other.re-im*other.im,re*other.im+im*other.re);
}

float Complex::operator()()const{
  return re*re+im*im;
}

std::string Complex::toString()const{
  std::string result=""; 
  std::stringstream ss; 
  ss<<re; 
  ss>>result; 
  result=result+"+"; 

  std::string resulti=""; 
  std::stringstream sx; 
  sx<<im; 
  sx>>resulti; 
  result=result+resulti+"i"; 
  return result;
}

