#include <iostream>
class Object{public:virtual bool equals(Object* that)=0;};

class Vertex:public Object{
public:
  double x;
  double y;
  Vertex(double x,double y):x(x),y(y){}

  bool equals(Object* thatObject){
    Vertex* that = dynamic_cast<Vertex*>(thatObject);
    if (that){
      return this->x==that->x && this->y==that->y;
    }
    return false;
  }
};

class MyString:public Object{
public:
  std::string str;
  MyString(std::string str):str(str){}
  bool equals(Object* thatObject){
    MyString* that = dynamic_cast<MyString*>(thatObject);
    if (that) return this->str==that->str;
    return false;
  }
};

int main(){
  MyString hallo = std::string("hallo");
  Object* o1 = &hallo;
  Object* o2=new Vertex(17,4);
  std::cout<<o1->equals(o1)<<std::endl;
  std::cout<<o2->equals(o2)<<std::endl;
  std::cout<<o1->equals(o2)<<std::endl;
  std::cout<<o2->equals(o1)<<std::endl;
  return 0;
}

