#include <vector>
#include <list>
#include <string>
#include <iostream>

class ShorterString{
  public:
    bool operator()(std::string s1,std::string s2){
      return s1.length()<s2.length();
    }
};

bool reverseOrder(std::string s1,std::string s2){
  reverse(s1.begin(),s1.end());
  reverse(s2.begin(),s2.end());
  return s1<s2;
}

void print(std::string p){
  std::cout << p << ","; 
}

template <typename Iterator>
void printSequence(Iterator begin,Iterator end){
  if (begin==end) {
    std::cout << "[]" << std::endl;return;
  }
  std::cout << "["; 
  for_each(begin,end-1,print);
  std::cout << *(end-1) << "]"<<std::endl; 
}

int main (){
  int l = 8;
  std::string words []
   ={"rasiert","schweinelende","passiert","legende"
    ,"schwestern","verlustiert","gestern","stern"};

  std::sort(words,words+l,ShorterString());
  printSequence(words,words+l);

  std::sort(words,words+l,reverseOrder);
  printSequence(words,words+l);

  std::sort(words,words+l);
  printSequence(words,words+l);
}

