#include "Li.hpp"
#include "UniPair.hpp"
#include "PrintAsString.hpp"
#include <iostream>
#include <string>

UniPair<std::string>*  swap(UniPair<std::string>* p){p->swap();return p;} 

std::string reverse(std::string str){
  int strLength=str.length();
  for (int i=0;i<strLength/2;i++){
    char tmp=str[i];
    str[i]=str[strLength-i-1];
    str[strLength-i-1]=tmp;
  }  
  return str;
} 

int main(){
  Li<std::string>* xs
    = new Li<std::string>("Schimmelpfennig",
      new Li<std::string>("Moliere",
      new Li<std::string>("Shakespeare",
      new Li<std::string>("Bernhard",
      new Li<std::string>("Brecht",
      new Li<std::string>("Salhi",
      new Li<std::string>("Achternbusch",
      new Li<std::string>("Horvath",
      new Li<std::string>("Sophokles",
      new Li<std::string>("Calderon",
      new Li<std::string>()))))))))));

  std::cout << xs << std::endl; 

  std::cout << xs->contains("Brecht") << std::endl; 
  std::cout << xs->contains("Zabel") << std::endl; 

  xs->forEach(reverse);
  std::cout<<xs<<std::endl; 
  delete xs;

  Li<UniPair<std::string>* >* ys =
  new Li<UniPair<std::string>* >(new UniPair<std::string>("A","1")
 ,new Li<UniPair<std::string>* >(new UniPair<std::string>("B","2")
 ,new Li<UniPair<std::string>* >(new UniPair<std::string>("C","3")
 ,new Li<UniPair<std::string>* >())));
 
  std::cout << ys << std::endl; 

  ys->forEach(swap);
  std::cout << ys << std::endl; 
}

