#include <vector>
#include <list>
#include <string>
#include <iostream>

template <typename Iterator>
void doPrint(Iterator begin,Iterator end){
  std::cout << "[";
  for (Iterator it = begin;it!=end;){
    std::cout << *it;  
    it++;    
    if (it != end) std::cout << ",";
  }
  std::cout << "]"<<std::endl;
}

int main (){
  std::string words [] ={ "the","world","is","my","oyster"};
  std::vector<std::string> sv;
  std::list<std::string> sl;
  std::cout << sv.capacity() << std::endl;

  for (int i=0;i<5;i++){
    sv.insert(sv.end(),words[i]);
    sl.insert(sl.end(),words[i]);
  }
  std::cout << sv.capacity() << std::endl;

  doPrint(sv.begin(),sv.end());
  sl.reverse();
  doPrint(sl.begin(),sl.end());
}

