#include <QKeyEvent>
#include "AnimatedPaneWithKeyboard.hpp"
AnimatedPaneWithKeyboard::AnimatedPaneWithKeyboard(MovingImage* mi)
   :TimeAnimatedPane(mi){};

void AnimatedPaneWithKeyboard::keyPressEvent(QKeyEvent* event){
  switch (event->key()) {
    case Qt::Key_Left: mi->dX -= 0.5; break;
    case Qt::Key_Right:mi->dX += 0.5; break;
    case Qt::Key_Down: mi->dY += 0.5; break;
    case Qt::Key_Up:   mi->dY -= 0.5; break;
    default: QWidget::keyPressEvent(event);
  }
}

